Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Axis & Allies 1942 Online is now available in Early Access! Buy it on Steam. The FAQ is available.
New Premium Module: Tyrants of the Moonsea! Read More
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

[MOD] -Might and Guile- a tweak mod and kit pack for warriors and rogues.

17475767779

Comments

  • ThacoBellThacoBell Member Posts: 9,731
    Everytime I rest, my Gallant gets another use of the bard song ability added (the srcoll icon that you click to select which aura you want to use). She is sitting on something like 21 of them right now.

  • subtledoctorsubtledoctor Member Posts: 11,378
    edited August 1
    ThacoBell wrote: »
    Everytime I rest, my Gallant gets another use of the bard song ability added (the srcoll icon that you click to select which aura you want to use). She is sitting on something like 21 of them right now.

    What version?

    EDIT - also, that's basically harmless. Though it should be fixed, so thanks for the heads-up.

    ThacoBell
  • ThacoBellThacoBell Member Posts: 9,731
    @subtledoctor The version just before the current. I wonder how high I can get it before finishing SoD.

    Wise_Grimwald
  • ReensReens Member Posts: 3
    Are the new multiclass bards integrated with the stat overhauls from Scales of Balance? Do they gain mage bonuses based on int since they're mage multiclasses or do charisma bonuses work properly?

  • HypaspistHypaspist Member Posts: 24
    Hypaspist wrote: »
    Hypaspist wrote: »
    I've encountered a problem with the Bladesong ability:

    1. Once used, it persists, but it cannot disabled (even though the description states that it can be used at will);
    2. Once disabled - with "Quick Weapon" innate ability, it cannot be enabled again, even after resting (Screenshots: https://imgur.com/a/aOorPZj.
    3. This might be connected to problem 1 and 2 - the description is incomplete, maybe something's off with my install?(Screenshot: https://imgur.com/a/bu6cO3D).

    Probably just a bug with the way I added that ability. I'll take a look.

    Thanks, appreciate it.

    Hey there again, any luck fiding the issue? :)

  • orvarthorvarth Member Posts: 11
    multiclass thief/mage could be a good candidate to the alchemist kit .

  • GnollGnoll Member Posts: 10
    Hey, this looks really cool, I'm only checking it out now, a bit late but it's fascinating. Quick question, just to confirm, feats are only available for unkitted fighters as per the readme? I ask because when it mentions the Marksman kit, for a fighter, it says if feats are installed, the called shot abilities will be feats rather than automatically granted upon leveling up. But if a Marksman is a kitted fighter, will they have access to feats? Thanks!

  • ArthasArthas Member Posts: 1,091
    Subtledoctor, do you use your mods together with grammarsalad and aquadrizzt one?

  • StormfinStormfin Member Posts: 25
    @Gnoll I can answer as someone who's played the mod - single class Rangers (all types) are supposed to get feats as well, just not as many as fighters. Marksmen only get called shots, but if you install feats, you get to pick which ones they get as they progress.

    Wise_GrimwaldChronicler
  • ChroniclerChronicler Member Posts: 1,060
    @subtledoctor What happens to the Enhanced Bard Song HLA if we install the revised bards component that turns the bard songs into all the inspirations and emanations and such?

  • subtledoctorsubtledoctor Member Posts: 11,378
    Chronicler wrote: »
    @subtledoctor What happens to the Enhanced Bard Song HLA if we install the revised bards component that turns the bard songs into all the inspirations and emanations and such?

    It should not be available. So the short answer is, it disappears. There are particular advanced bard songs that you can add to your repertoire, including one that you can choose as an HLA. But no generic "enhanced song."

    (Anyway the vanilla HLA only works through the bard song button, and since none of these bards are actually in the bard class, they can't even use that button.)

    Chronicler
  • ChroniclerChronicler Member Posts: 1,060
    Chronicler wrote: »
    @subtledoctor What happens to the Enhanced Bard Song HLA if we install the revised bards component that turns the bard songs into all the inspirations and emanations and such?

    It should not be available. So the short answer is, it disappears. There are particular advanced bard songs that you can add to your repertoire, including one that you can choose as an HLA. But no generic "enhanced song."

    (Anyway the vanilla HLA only works through the bard song button, and since none of these bards are actually in the bard class, they can't even use that button.)

    Thank you for indulging me.

  • gwaihirgwaihir Member Posts: 9
    edited October 6
    Hello @subtledoctor , just created an account to tell you that I find this mod (and your other works too :D ) extremely interesting and I would love to include it in my first eet run ever.. but the component 'Bard overhaul multiclass bards' fails to install :neutral:
    i get this messages:
    ERROR: [kitlist.2da] -> [override] Patching Failed (COPY) (Failure("ERROR: READ_2DA_ENTRY_FORMER failed on variable %rows_43_9%"))
    ERROR: [d5flstbf.2da] -> [override] Patching Failed (COPY) (Failure("ERROR: READ_2DA_ENTRY_FORMER failed on variable %rows_43_9%"))

    I'm using Alien's Project infinity for this installatiion. Right before Mng i had installed Tome and blood and Faiths and powers, both completed installs with warnings and exited with code 3. All mods are latest version from your fork.

    EDIT: apparently i managed to fix the issue: there were a couple of KITIDs missing from the kitlist.2da file, specifically those related to yvette and eilistraee's song. I typed in the IDs using the reference in kit.ids file, and that did the trick.

    Still, the installation finishes with a lot of warnings: 'no effects altered on d5src1a.spl', 'd5src2a.spl', and so on.. i've read in a couple of threads that warnings can be common and shouldn't cause problems, i hope this is the case :D

    Post edited by gwaihir on
  • subtledoctorsubtledoctor Member Posts: 11,378
    gwaihir wrote: »
    Still, the installation finishes with a lot of warnings: 'no effects altered on d5src1a.spl', 'd5src2a.spl', and so on.. i've read in a couple of threads that warnings can be common and shouldn't cause problems, i hope this is the case :D

    Glad you worked it out. That particular warning should generally be harmless.

    Wise_Grimwald
  • gwaihirgwaihir Member Posts: 9
    That particular warning should generally be harmless.
    Nice :)

    I would also like to point out an issue that presented itself while installing stratagems:4240:Treat mages' and priests' High-Level Abilities as innate abilities rather than memorisable spells (each may be taken only once):

    Basically, the install failed due to some typos in a few files added by MnG component 'multiclass bards'. (It can be seen in the attached file). The files are:

    lud5_190.2da
    lud5_195.2da
    lud5_196.2da
    lud5_197.2da

    Running weidu-filechangelog showed that no other mod edited those files.

  • subtledoctorsubtledoctor Member Posts: 11,378
    gwaihir wrote: »
    I would also like to point out an issue that presented itself while installing stratagems:4240:Treat mages' and priests' High-Level Abilities as innate abilities rather than memorisable spells (each may be taken only once):

    Basically, the install failed due to some typos in a few files added by MnG component 'multiclass bards'. (It can be seen in the attached file).

    Fixed in 4b14, thanks for the heads-up.

    If you don't want to reinstall, you can edit those lu____.2da files yourself, just add "SPCL" where needed (so change "GA_909" to "GA_SPCL909" etc.)

    This update also should fix the issue mentioned by @ThacoBell about the bard song being duplicated everytime you sleep. (I think.)

  • gwaihirgwaihir Member Posts: 9

    If you don't want to reinstall, you can edit those lu____.2da files yourself

    I did just that, and the SCS component install completes flawlessly. Glad to be of help if I can :)

    Thank you for your work.

    Wise_Grimwald
  • subtledoctorsubtledoctor Member Posts: 11,378
    I've updated this mod... I don't quite recall why I was stuckk calling it a beta for so long, so let's call this one "version 4.1."

    This only improves some of the subsystems, updating QDmulti to v0.9 and Spell Evasion to v3.4.

    ThacoBell
  • boabadinoboabadino Member Posts: 6
    installing revised archery component i get this error ERROR: Failure("ERROR: SUBSTRING: the substring cannot be longer than the string") using m&g 4.1 on bg1ee 2.5.17

  • subtledoctorsubtledoctor Member Posts: 11,378
    boabadino wrote: »
    installing revised archery component i get this error ERROR: Failure("ERROR: SUBSTRING: the substring cannot be longer than the string") using m&g 4.1 on bg1ee 2.5.17

    Fixed in v4.2, by downgrading the QDMulti function from @argent77 's v0.9 to my own v0.8.

    This was a bit tough to pin down: it didn't fail if you install just the archery component, it only fails if you install the feats component and then the archery component, and then it fails on installation of the multiclass Halfling Slinger kit. I'm not yet sure exactly why the other QDMulti has problems while mine doesn't... but for now I'd rather push out a version that works ASAP, and figure out the differences later.

  • argent77argent77 Member Posts: 2,777
    boabadino wrote: »
    installing revised archery component i get this error ERROR: Failure("ERROR: SUBSTRING: the substring cannot be longer than the string") using m&g 4.1 on bg1ee 2.5.17

    Fixed in v4.2, by downgrading the QDMulti function from @argent77 's v0.9 to my own v0.8.

    This was a bit tough to pin down: it didn't fail if you install just the archery component, it only fails if you install the feats component and then the archery component, and then it fails on installation of the multiclass Halfling Slinger kit. I'm not yet sure exactly why the other QDMulti has problems while mine doesn't... but for now I'd rather push out a version that works ASAP, and figure out the differences later.
    That error was triggered by invalid CLAB entries with a length of less than 3 characters. I have fixed this issue in my fork of QDMulti.

  • boabadinoboabadino Member Posts: 6
    thanks the update, unfortunately revised archery now gives this error ERROR: Failure("ERROR: READ_2DA_ENTRY_FORMER failed on variable %rows_3_41%")

  • subtledoctorsubtledoctor Member Posts: 11,378
    boabadino wrote: »
    thanks the update, unfortunately revised archery now gives this error ERROR: Failure("ERROR: READ_2DA_ENTRY_FORMER failed on variable %rows_3_41%")

    Can’t reproduce this, it works fine for me... maybe another mod is interfering?

  • boabadinoboabadino Member Posts: 6
    no i tried it on a fresh install with no other mods, strange.

  • defikdefik Member Posts: 3
    Jongleur kit doenst work with bard revisions?

  • subtledoctorsubtledoctor Member Posts: 11,378
    defik wrote: »
    Jongleur kit doenst work with bard revisions?

    Nope... I suppose it wouldn't be a bad idea to add a revised version of that kit... but don't hold your breath.

  • IvanKaramazovIvanKaramazov Member Posts: 14
    The latest version of Might and Guile appears to not enable the Loresinger kit (playing IWDEE). I've tried on both MacOS and Windows.

  • subtledoctorsubtledoctor Member Posts: 11,378
    The latest version of Might and Guile appears to not enable the Loresinger kit (playing IWDEE). I've tried on both MacOS and Windows.

    Yup. The kit has been broken in some way in every release and I haven't been able to pin down the problems. So it is disabled until I do.

    IvanKaramazov
  • IvanKaramazovIvanKaramazov Member Posts: 14
    Makes sense! Another issue I'm encountering on both Windows and MacOS is that the the bard kit automatically gained spells (i.e. Flame Blade, Draw Upon Holy Might, etc. for Skalds; Armor of Faith for Gallants, etc.) don't seem to be usable. They are in the spellbook and can be memorized after doing daily spell preparation, but after sleeping those spells never appear for spellcasting. Spells learned through other manners work fine.

  • gwaihirgwaihir Member Posts: 9
    the bard kit automatically gained spells (i.e. Flame Blade, Draw Upon Holy Might, etc. for Skalds; Armor of Faith for Gallants, etc.) don't seem to be usable. They are in the spellbook and can be memorized after doing daily spell preparation, but after sleeping those spells never appear for spellcasting.

    Hello, it's exactly the same for me, for the Gallant, the Skald and the Hexblade (by the way, the hexblade description doesn't mention the divine spells). It worked only once with the gallant, but as soon as i turned the AI on the spells were gone.

    Another thing: selecting the Herald kit gives me a regular vanilla fighter/mage instead, right in the selection screen.

Sign In or Register to comment.